Skip to main content
GET
/
api
/
v1
/
inference-jobs
/
{job_id}
/
files
/
{file_id}
Get Inference File
curl --request GET \
  --url https://api.example.com/api/v1/inference-jobs/{job_id}/files/{file_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inference_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "original_filename": "<string>",
  "s3_key": "<string>",
  "duration_ms": 123,
  "status": "<string>",
  "error_message": "<string>",
  "detections": [
    {
      "artifact_type": "<string>",
      "start_ms": 123,
      "end_ms": 123,
      "confidence": 0.5
    }
  ],
  "detection_count": 123,
  "processed_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

job_id
string<uuid>
required
file_id
string<uuid>
required

Response

Successful Response

Inference file response.

id
string<uuid>
required
inference_job_id
string<uuid>
required
original_filename
string
required
s3_key
string
required
duration_ms
integer | null
required
status
string
required
error_message
string | null
required
detections
Detection · object[] | null
required
detection_count
integer
required
processed_at
string<date-time> | null
required